> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-main-menus/main-menu-embedded-tools/can-terminal.md).

# CAN Terminal

The [Embedded Tools](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-embedded-tools.md) -> CAN Terminal is a7f1 feature that can be useful for developing and debugging ECUs. CAN Terminal lets you send text commands and receive responses from an ECU. All commands and responses are shown in the main window of the CAN Terminal.

![Figure 1: The CAN Terminal.](/files/DQ2IvjVIfjGxnc23enoy)

The first requirement for using the CAN Terminal is that a connected ECU supports this type of communication protocol. The protocol requires the strings to be sent using ASCII and to have a $0D as the last byte in the string. The message can be in more than one frame, but must have a $0D to end the string.\
\
Can Terminal is enabled by checking the **Enable CAN Terminal** check box in the upper left of the dialog (Figure1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)). The command or string to send to the ECU goes in the textbox next to the **Send** button (Figure1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)). If the message is periodic, check **Repeat Every (ms)** and enter in the rate to have it repeat (Figure1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)). The **Clear** button (Figure1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif)) will empty the messages in the CAN Terminal window.\
\
The **Setup** button (Figure1: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif)) brings up a setup window (Figure 2) where the network, CAN IDs, and an output log file can be specified.

![Figure 2: The CAN Terminal setup dialog.](/files/7eJmTUfwm6pIC2tJJyE7)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-main-menus/main-menu-embedded-tools/can-terminal.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
